Package twisted :: Package protocols :: Module dns :: Class DNSProtocol

[show private | hide private]
[frames | no frames]

## Class DNSProtocol

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      DNSProtocol

Method Summary
| `__init__(self, controller)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| `pickID(self)`
`Deferred` | ``query`(self, queries, timeout)` Send out a message with the given queries.
| `writeMessage(self, message)`

Class Variable Summary
`str` | `buffer`
`NoneType` | `d`
`NoneType` | `id`
`NoneType` | `length`
`NoneType` | `liveMessages`

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### dataReceived(self, data)

Called whenever data is received.

Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message.

  Parameters:
    `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time.
  Overrides:
    `twisted.internet.protocol.Protocol.dataReceived` (inherited documentation)

### query(self, queries, timeout=None)

Send out a message with the given queries.

  Parameters:
    `queries` - The queries to transmit
    (type=`list` of `Query` instances)
  Returns:
    `Deferred`

Class Variable Details

### buffer

  Type:
    `str`
  Value:

        ''

### d

  Type:
    `NoneType`
  Value:

        None

### id

  Type:
    `NoneType`
  Value:

        None

### length

  Type:
    `NoneType`
  Value:

        None

### liveMessages

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:36 2003 | http://epydoc.sf.net